Subject: RE: linux-next: build warnings after merge of the tip tree

From: "Ernst, Justin" <[email-masked]>
Date: Mon, 30 Nov 2020 21:56:27 +0000

> On Mon, Nov 30, 2020 at 06:05:03PM +1100, Stephen Rothwell wrote:
> > Hi all,
> >
> > After merging the tip tree, today's linux-next build (htmldocs) produced
> > these warnings:
> >
> > Documentation/ABI/testing/sysfs-firmware-sgi_uv:2: WARNING: Unexpected indentation.
> > Documentation/ABI/testing/sysfs-firmware-sgi_uv:2: WARNING: Unexpected indentation.
> > Documentation/ABI/testing/sysfs-firmware-sgi_uv:2: WARNING: Unexpected indentation.
> >
> > Introduced by commit
> >
> >   7ac2f1017115 ("x86/platform/uv: Update ABI documentation of /sys/firmware/sgi_uv/")
> 
> Yah, I can reproduce but I have no clue what sphinx wants from me. Line
> 2 looks ok which could mean that the warning line it points to is bogus.
> 
> Justin, this is all yours. :)

After scratching my head for a while, I found that the issue was missing empty lines before three different code-block sections.
The line number is definitely bogus, but I wasn't able to discover why.

You can find my patch at: https://lkml.org/lkml/2020/11/30/1196
The patch depends on the v2 patch set Mike Travis <[email-masked]> submitted, which hasn't made it to tip yet.

Thanks,
-Justin

> 
> Thx.
> 
> --
> Regards/Gruss,
>     Boris.
> 
> SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg